org.modeshape.jcr.value

## Class ValueComparators

- java.lang.Object
- - org.modeshape.jcr.value.ValueComparators

-     @Immutable
      public final class ValueComparators
      extends Object

  A set of `Comparator` objects for the different kinds of property values.
  See Also:
    `PropertyType.getComparator()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ValueComparators.BinaryValueComparator`
    `protected static class` | `ValueComparators.BooleanComparator`
    `protected static class` | `ValueComparators.CalendarComparator`
    `protected static class` | `ValueComparators.DateComparator`
    `protected static class` | `ValueComparators.DateTimeComparator`
    `protected static class` | `ValueComparators.DecimalComparator`
    `protected static class` | `ValueComparators.DoubleComparator`
    `protected static class` | `ValueComparators.LongComparator`
    `protected static class` | `ValueComparators.NameComparator`
    `protected static class` | `ValueComparators.ObjectComparator`
    `protected static class` | `ValueComparators.PathComparator`
    `protected static class` | `ValueComparators.PathSegmentComparator`
    `protected static class` | `ValueComparators.PathSegmentNameComparator`
    `protected static class` | `ValueComparators.ReferenceComparator`
    `protected static class` | `ValueComparators.StringComparator`
    `protected static class` | `ValueComparators.UriComparator`
    `protected static class` | `ValueComparators.UuidComparator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<BinaryValue>` | `BINARY_COMPARATOR` A comparator of binary values.
    `static Comparator<Boolean>` | `BOOLEAN_COMPARATOR` A comparator of boolean values.
    `static Comparator<Calendar>` | `CALENDAR_COMPARATOR` A comparator of calendar values.
    `static Comparator<Date>` | `DATE_COMPARATOR` A comparator of date values.
    `static Comparator<DateTime>` | `DATE_TIME_COMPARATOR` A comparator of date-time instances.
    `static Comparator<BigDecimal>` | `DECIMAL_COMPARATOR` A comparator of decimal values.
    `static Comparator<Double>` | `DOUBLE_COMPARATOR` A comparator of double values.
    `static Comparator<Long>` | `LONG_COMPARATOR` A comparator of long values.
    `static Comparator<Name>` | `NAME_COMPARATOR` A comparator of name values.
    `static Comparator<Object>` | `OBJECT_COMPARATOR` A comparator of other values.
    `static Comparator<Path>` | `PATH_COMPARATOR` A comparator of path values.
    `static Comparator<Path.Segment>` | `PATH_SEGMENT_COMPARATOR` A comparator of path segment values.
    `static Comparator<Path.Segment>` | `PATH_SEGMENT_NAME_COMPARATOR` A comparator of path segment names, excluding same-name-sibling indexes.
    `static Comparator<Reference>` | `REFERENCE_COMPARATOR` A comparator of reference values.
    `static Comparator<String>` | `STRING_COMPARATOR` A comparator of string values.
    `static Comparator<URI>` | `URI_COMPARATOR` A comparator of URI values.
    `static Comparator<UUID>` | `UUID_COMPARATOR` A comparator of UUID values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueComparators()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ValueFactory<String>` | `getStringValueFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING_COMPARATOR

          public static final Comparator<String> STRING_COMPARATOR

      A comparator of string values.

    - #### LONG_COMPARATOR

          public static final Comparator<Long> LONG_COMPARATOR

      A comparator of long values.

    - #### DOUBLE_COMPARATOR

          public static final Comparator<Double> DOUBLE_COMPARATOR

      A comparator of double values.

    - #### DECIMAL_COMPARATOR

          public static final Comparator<BigDecimal> DECIMAL_COMPARATOR

      A comparator of decimal values.

    - #### BOOLEAN_COMPARATOR

          public static final Comparator<Boolean> BOOLEAN_COMPARATOR

      A comparator of boolean values.

    - #### BINARY_COMPARATOR

          public static final Comparator<BinaryValue> BINARY_COMPARATOR

      A comparator of binary values. Although `BinaryValue` is `Comparable`, this comparator does not rely upon any particular Binary implementation. Thus, Binary implementations can use this for their `Comparable.compareTo(Object)` implementation.

    - #### DATE_TIME_COMPARATOR

          public static final Comparator<DateTime> DATE_TIME_COMPARATOR

      A comparator of date-time instances.

    - #### DATE_COMPARATOR

          public static final Comparator<Date> DATE_COMPARATOR

      A comparator of date values.

    - #### CALENDAR_COMPARATOR

          public static final Comparator<Calendar> CALENDAR_COMPARATOR

      A comparator of calendar values.

    - #### NAME_COMPARATOR

          public static final Comparator<Name> NAME_COMPARATOR

      A comparator of name values.

    - #### PATH_COMPARATOR

          public static final Comparator<Path> PATH_COMPARATOR

      A comparator of path values.

    - #### PATH_SEGMENT_COMPARATOR

          public static final Comparator<Path.Segment> PATH_SEGMENT_COMPARATOR

      A comparator of path segment values.

    - #### PATH_SEGMENT_NAME_COMPARATOR

          public static final Comparator<Path.Segment> PATH_SEGMENT_NAME_COMPARATOR

      A comparator of path segment names, excluding same-name-sibling indexes.

    - #### URI_COMPARATOR

          public static final Comparator<URI> URI_COMPARATOR

      A comparator of URI values.

    - #### UUID_COMPARATOR

          public static final Comparator<UUID> UUID_COMPARATOR

      A comparator of UUID values.

    - #### REFERENCE_COMPARATOR

          public static final Comparator<Reference> REFERENCE_COMPARATOR

      A comparator of reference values.

    - #### OBJECT_COMPARATOR

          public static final Comparator<Object> OBJECT_COMPARATOR

      A comparator of other values.

  - ### Constructor Detail

    - #### ValueComparators

          public ValueComparators()

  - ### Method Detail

    - #### getStringValueFactory

          protected static final ValueFactory<String> getStringValueFactory()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.